Pre-Development - Feature #18631

FE - React - Enterprise Datatable
25 October 2023 02:12 PM - chok yee fan

Status: Closed Start date: 25 October 2023
Priority: Normal Due date:

Assignee: Tan Jiau Yan % Done: 0%

Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

issue

No function for this.

Expected

- Need to find component for this. after research, possible could use
https://github.com/tanstack/table

- Need to install into react project try and error.
- Create share components to cater:

- lazy load

- pagination

- separate total count from ws

- loading

- multiple sorting column

- integrate ws

- checkbox

- radio

- number of record per page

- link with flexible fields

- performance

History

#1 - 05 December 2023 11:03 AM - chok yee fan
- File b4Table.jpeg added
- File afterTable.jpeg added

- Assignee changed from chok yee fan to Amirul Umar Pandai

unable to adjust table column size from caller/user
b4Table.jpeg

expected

able to adjust table column size from caller/user
afterTable.jpeg

#2 - 07 December 2023 12:40 PM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to Tan Jiau Yan
https://github.com/tanstack/table

#3 - 14 December 2023 11:07 AM - chok yee fan
- File Screenshot 2023-12-14 at 11.05.49 AM.png added

base on the image readjust the component
#4 - 19 December 2023 12:09 PM - Tan Jiau Yan
- Status changed from New to Resolved

- Assignee changed from Tan Jiau Yan to chok yee fan

Jiauyan - Readjust the pagination component in data table

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/074c6cc39752f4cel1e18aa7efaeff57124430435

#5 - 03 January 2024 10:06 AM - chok yee fan
- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Tan Jiau Yan

issue

enter invalid number of page show no record found.

expected

1. control number of enter
or
2. show pagination and no record found.

#6 - 08 January 2024 12:37 PM - Tan Jiau Yan

- Assignee changed from Tan Jiau Yan to chok yee fan

Control number of enter for pagination in data table

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/861f94b97c9b5ab23f0916605686fe4d4b989177

#7 - 11 January 2024 03:42 PM - chok yee fan

chok: cciam datatable resolving use totalRowsPerPage directly instead of using pagelndex, cause not being update into pageSizeOption

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/a30b3b7b97426670c6213f368f95a332d6b9924a

#8 - 11 January 2024 03:43 PM - chok yee fan

chok: cciam datatable p-2 tp p-1

chok: cciam resolve the unique key prop

chok: cciam still show pagination if no record found
chok: cciam resolve the problem for datatable issue
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/074c6cc39752f4ce1e18aa7efaeff57124430435
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/861f94b97c9b5ab23f0916605686fe4d4b989177
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/a30b3b7b97426670c6213f368f95a332d6b9924a

#9 - 11 January 2024 05:14 PM - chok yee fan

chok: cciam datatable use isLastBtnClick to set back the lastPagelndex into datatable.
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3115f7c2fddc132e58c562ad0897223d2360cc3f

#10 - 11 January 2024 05:27 PM - chok yee fan

Chok's avatar
chok: cciam datatable solve the totalPagePerRow change, still setting lastPagelndex

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/1ba7dbfd795156cdc5e653c1be8bd621309181f9

#11 - 11 January 2024 05:34 PM - chok yee fan

chok: cciam datatable solve pagelndex not being sync with caller param. use pageNumber directly

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commits/main

#12 - 18 January 2024 11:21 AM - Tan Jiau Yan

value of goToFirstPage pass in wrongly.

Correct way:

- if first page/1/first button, goToFirstPage=true

- if last page index/last button, goToFirstPage = false
- the rest, goToFirstPage= null

#13 - 22 January 2024 05:02 PM - chok yee fan

- Assignee changed from chok yee fan to Tan Jiau Yan
please write down what are the steps cause the goToFirstPage pass wrongly.

#14 - 23 January 2024 10:15 AM - Tan Jiau Yan

- Assignee changed from Tan Jiau Yan to chok yee fan

Steps cause the goToFirstPage pass wrongly :

W/O total count

1. First time search the page and data table display, goToFirstPage pass in correctly, goToFirstPage true.

2. Increase by using arrow / typing / next button, goToFirstPage pass in wrongly , goToFirstPage will always null until last page index.
3. Decrease by using arrow / typing to page index 1, goToFirstPage pass in correctly, goToFirstPage true.

4. Decrease by using previous button to page index 1, goToFirstPage pass in wrongly , goToFirstPage == null.

5. If straight click last button , goToFirstPage pass in correctly, goToFirstPage = false.

6. If straight click first button , goToFirstPage pass in correctly, goToFirstPage = true.

When page size changed without total count :

1. Although always to first page, 1 but the goToFirstPage pass in wrongly, goToFirstPage == null.

2. Increase by using arrow / typing / next button, goToFirstPage pass in wrongly, goToFirstPage will always null until last page index.
3. Decrease by using arrow / typing to page index 1, goToFirstPage pass in correctly, goToFirstPage = true.

4. Decrease by previous button to page index 1, goToFirstPage pass in wrongly, goToFirstPage null.

With total count :

. Increase by using arrow / typing to last page index, goToFirstPage pass in correctly, goToFirstPage false.
. Decrease by using arrow / typing to 1, goToFirstPage pass in correctly, , goToFirstPage true.

. Increase by using next button to last page index , goToFirstPage pass in wrongly, goToFirstPage null.

. Decrease by using previous button to page index 1, goToFirstPage pass in wrongly, goToFirstPage null.
. If straight click last button , goToFirstPage pass in correctly, goToFirstPage false.
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3115f7c2fddc132e58c562ad0897223d2360cc3f
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/1ba7dbfd795156cdc5e653c1be8bd621309181f9
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commits/main

6. If straight click first button , goToFirstPage pass in correctly, goToFirstPage true.

When page size changed with total count :
. Although always to first page, 1 but the goToFirstPage pass in wrongly, goToFirstPage null.

. Decrease by using arrow / typing to 1, goToFirstPage pass in correctly, goToFirstPage true.

. Increase by using next button to last page index , goToFirstPage pass in wrongly, goToFirstPage null.

. Decrease by using previous button to page index 1, goToFirstPage pass in wrongly, goToFirstPage null.
. If straight click last button , goToFirstPage pass in correctly, goToFirstPage false.

. If straight click first button , goToFirstPage pass in correctly, goToFirstPage true.
#15 - 24 January 2024 04:58 PM - chok yee fan

- Assignee changed from chok yee fan to Tan Jiau Yan

chok: cciam handleGotoFirstPage at caller

. Increase by using arrow / typing to last page index, goToFirstPage pass in correctly, goToFirstPage false.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/d016afd7712207e1d1cdab4bd337165221139128

for your retest

#16 - 24 January 2024 04:59 PM - chok yee fan
- Subject changed from FE - React - Enterprice Datatable to FE - React - Enterprise Datatable

#17 - 26 January 2024 10:34 AM - Tan Jiau Yan
- Status changed from Feedback to Closed

Working correctly after retest.

Files

b4Table.jpeg 59.9 KB 05 December 2023 chok yee fan

afterTable.jpeg 69.6 KB 05 December 2023 chok yee fan

Screenshot 2023-12-14 at 11.05.49 AM.png 198 KB 14 December 2023 chok yee fan
